Package es.imim.DISGENET.internal

# Class AboutMenuAction

java.lang.Object
javax.swing.AbstractAction
org.cytoscape.application.swing.AbstractCyAction
es.imim.DISGENET.internal.AboutMenuAction

All Implemented Interfaces:
  `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`, `MenuListener`, `PopupMenuListener`, `org.cytoscape.application.swing.CyAction`

public class AboutMenuAction extends org.cytoscape.application.swing.AbstractCyAction
Creates a new menu item under Apps menu section.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.cytoscape.application.swing.AbstractCyAction

`acceleratorKeyStroke, acceleratorSet, configurationProperties, inMenuBar, insertSeparatorAfter, insertSeparatorBefore, insertToolbarSeparatorAfter, insertToolbarSeparatorBefore, inToolBar, menuGravity, name, preferredMenu, toolbarGravity, useCheckBoxMenuItem`

### Fields inherited from class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields inherited from interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

## Constructor Summary

Constructors
Constructor
Description
`AboutMenuAction(org.cytoscape.application.CyApplicationManager cyApplicationManager, String menuTitle, org.cytoscape.application.swing.CySwingApplication desktopService)`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`

### Methods inherited from class org.cytoscape.application.swing.AbstractCyAction

`getAcceleratorKeyStroke, getMenuGravity, getName, getPreferredMenu, getProperties, getToolbarGravity, insertSeparatorAfter, insertSeparatorBefore, insertToolbarSeparatorAfter, insertToolbarSeparatorBefore, isInMenuBar, isInToolBar, menuCanceled, menuDeselected, menuSelected, popupMenuCanceled, popupMenuWillBecomeInvisible, popupMenuWillBecomeVisible, setAcceleratorKeyStroke, setIsInMenuBar, setIsInToolBar, setMenuGravity, setName, setPreferredMenu, setToolbarGravity, updateEnableState, useCheckBoxMenuItem`

### Methods inherited from class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.swing.Action

`accept, addPropertyChangeListener, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

## Constructor Details

### AboutMenuAction

public AboutMenuAction(org.cytoscape.application.CyApplicationManager cyApplicationManager, String menuTitle, org.cytoscape.application.swing.CySwingApplication desktopService)

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent e)